# Uses of Class
jspecview.common.PeakInfo

Packages that use PeakInfo
Package
Description
jspecview.common

## Uses of PeakInfo in jspecview.common

Methods in jspecview.common that return PeakInfo
Modifier and Type
Method
Description
`PeakInfo`
PanelData.`findMatchingPeakInfo(PeakInfo pi)`
`PeakInfo`
Spectrum.`findMatchingPeakInfo(PeakInfo pi)`
`PeakInfo`
Spectrum.`findPeakByCoord(int xPixel, Coordinate coord)`
`PeakInfo`
Spectrum.`getAssociatedPeakInfo(int xPixel, Coordinate coord)`
`PeakInfo`
Spectrum.`getBasePeakInfo()`
`PeakInfo`
Spectrum.`getModelPeakInfoForAutoSelectOnLoad()`
`PeakInfo`
PeakPickEvent.`getPeakInfo()`
`PeakInfo`
Spectrum.`getSelectedPeak()`
`PeakInfo`
PanelData.`selectPeakByFileIndex(String filePath, String index, String atomKey)`
`PeakInfo`
Spectrum.`selectPeakByFileIndex(String filePath, String index, String atomKey)`
`PeakInfo`
Spectrum.`selectPeakByFilePathTypeModel(String filePath, String type, String model)`
Methods in jspecview.common that return types with arguments of type PeakInfo
Modifier and Type
Method
Description
`Lst<PeakInfo>`
Spectrum.`getPeakList()`
Methods in jspecview.common with parameters of type PeakInfo
Modifier and Type
Method
Description
`void`
PanelData.`addPeakHighlight(PeakInfo peakInfo)`
`boolean`
PeakInfo.`checkTypeMatch(PeakInfo pi)`
`PeakInfo`
PanelData.`findMatchingPeakInfo(PeakInfo pi)`
`PeakInfo`
Spectrum.`findMatchingPeakInfo(PeakInfo pi)`
`void`
Spectrum.`setHighlightedPeak(PeakInfo peak)`
`void`
Spectrum.`setSelectedPeak(PeakInfo peak)`
Method parameters in jspecview.common with type arguments of type PeakInfo
Modifier and Type
Method
Description
`int`
Spectrum.`setPeakList(Lst<PeakInfo> list, String peakXLabel, String peakYLabel)`
Constructors in jspecview.common with parameters of type PeakInfo
Modifier
Constructor
Description
``
`PeakPickEvent(Object source, Coordinate coord, PeakInfo peakInfo)`